
package com.google.api.ads.adwords.jaxws.v201209.cm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Criterion-level Percent cost-per-conversion(acquisition) bid for Product criteria type.
 *             {@link PercentCPA} bidding strategy and bids are available only
 *             to some advertisers.
 *           
 * 
 * <p>Java class for PercentCPAAdGroupCriterionBids complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PercentCPAAdGroupCriterionBids">
 *   &lt;complexContent>
 *     &lt;extension base="{https://adwords.google.com/api/adwords/cm/v201209}AdGroupCriterionBids">
 *       &lt;sequence>
 *         &lt;element name="percentCpa" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="source" type="{https://adwords.google.com/api/adwords/cm/v201209}BidSource" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PercentCPAAdGroupCriterionBids", propOrder = {
    "percentCpa",
    "source"
})
public class PercentCPAAdGroupCriterionBids
    extends AdGroupCriterionBids
{

    protected Integer percentCpa;
    protected BidSource source;

    /**
     * Gets the value of the percentCpa property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getPercentCpa() {
        return percentCpa;
    }

    /**
     * Sets the value of the percentCpa property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setPercentCpa(Integer value) {
        this.percentCpa = value;
    }

    /**
     * Gets the value of the source property.
     * 
     * @return
     *     possible object is
     *     {@link BidSource }
     *     
     */
    public BidSource getSource() {
        return source;
    }

    /**
     * Sets the value of the source property.
     * 
     * @param value
     *     allowed object is
     *     {@link BidSource }
     *     
     */
    public void setSource(BidSource value) {
        this.source = value;
    }

}
